# carga de los paquetes
library(openair)
library(lattice)
library(RColorBrewer)

# lectura de los datos CEMS (planilla Emisiones_CTSM.csv)

CTSM<-read.csv(file.choose(),header=TRUE)
CTSM$date<-as.POSIXct(strptime(CTSM$date, format = "%m/%d/%Y %H:%M",tz="Etc/GMT+4"))

# summary(CTSM)
# summaryPlot(CTSM)
# timeVariation(CTSM, pollutant="potencia")
# timeVariation(CTSM, pollutant=c("pm10","nox","so2","potencia"))



# grafico con el histograma de los datos de potencia
CTSM1<-subset(CTSM, potencia>299.9)
hist(CTSM1$potencia, main="Histograma de potencia en CTSM, 2016-2017", ylab =expression(bold("N° horas")), xlab =expression(bold("Potencia, MW")), font=2, cex=1.2, xlim=c(300,370))


# analisis estadistico de las diferencias de emisiones para distintos valores de potencia generada

CTSMa<-subset(CTSM1, potencia>369.0 & potencia < 371)
CTSMb<-subset(CTSM1, potencia>349.0 & potencia <351)

CTSMa$nox<-1000*CTSMa$nox
CTSMa$so2<-1000*CTSMa$so2
CTSMa$pm10<-1000*CTSMa$pm10
CTSMb$nox<-1000*CTSMb$nox
CTSMb$s02<-1000*CTSMb$so2
CTSMb$pm10<-1000*CTSMb$pm10

t.test(CTSMa$nox,CTSMb$nox)
t.test(CTSMa$so2,CTSMb$so2)
t.test(CTSMa$pm10,CTSMb$pm10)

